hpp-python: pyhpp::manipulation::steeringMethod::Cartesian Class Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pyhpp::manipulation::steeringMethod::Cartesian Class Reference

`#include <pyhpp/manipulation/steering-method/cartesian.hh>`

## Public Member Functions
| Cartesian (const pyhpp::core::Problem &problem)
void | setMaxIterations (size_type iterations)
size_type | getMaxIterations () const
void | setErrorThreshold (value_type threshold)
value_type | getErrorThreshold () const
void | setTrajectoryConstraint (const ImplicitPtr_t &ic)
ImplicitPtr_t | getTrajectoryConstraint ()
void | setRightHandSide1 (const PathPtr_t &rhs, bool se3Output)
void | setRightHandSide2 (const DifferentiableFunctionPtr_t &rhs, const interval_t &timeRange)
DifferentiableFunctionPtr_t | getRightHandSide () const
interval_t | getTimeRange () const
size_type | getNDiscreteSteps () const
void | setNDiscreteSteps (size_type n)
boost::python::tuple | planPath (const Configuration_t &q_init)

## Public Attributes
hpp::manipulation::steeringMethod::CartesianPtr_t | obj

## Constructor & Destructor Documentation

## ◆ Cartesian()

pyhpp::manipulation::steeringMethod::Cartesian::Cartesian | ( | const pyhpp::core::Problem & | problem | ) |

## Member Function Documentation

## ◆ getErrorThreshold()

value_type pyhpp::manipulation::steeringMethod::Cartesian::getErrorThreshold | ( |  | ) | const

## ◆ getMaxIterations()

size_type pyhpp::manipulation::steeringMethod::Cartesian::getMaxIterations | ( |  | ) | const

## ◆ getNDiscreteSteps()

size_type pyhpp::manipulation::steeringMethod::Cartesian::getNDiscreteSteps | ( |  | ) | const

## ◆ getRightHandSide()

DifferentiableFunctionPtr_t pyhpp::manipulation::steeringMethod::Cartesian::getRightHandSide | ( |  | ) | const

## ◆ getTimeRange()

interval_t pyhpp::manipulation::steeringMethod::Cartesian::getTimeRange | ( |  | ) | const

## ◆ getTrajectoryConstraint()

ImplicitPtr_t pyhpp::manipulation::steeringMethod::Cartesian::getTrajectoryConstraint | ( |  | ) |

## ◆ planPath()

boost::python::tuple pyhpp::manipulation::steeringMethod::Cartesian::planPath | ( | const Configuration_t & | q_init | ) |

## ◆ setErrorThreshold()

void pyhpp::manipulation::steeringMethod::Cartesian::setErrorThreshold | ( | value_type | threshold | ) |

## ◆ setMaxIterations()

void pyhpp::manipulation::steeringMethod::Cartesian::setMaxIterations | ( | size_type | iterations | ) |

## ◆ setNDiscreteSteps()

void pyhpp::manipulation::steeringMethod::Cartesian::setNDiscreteSteps | ( | size_type | n | ) |

## ◆ setRightHandSide1()

void pyhpp::manipulation::steeringMethod::Cartesian::setRightHandSide1 | ( | const PathPtr_t & | rhs,
|  | bool | se3Output )

## ◆ setRightHandSide2()

void pyhpp::manipulation::steeringMethod::Cartesian::setRightHandSide2 | ( | const DifferentiableFunctionPtr_t & | rhs,
|  | const interval_t & | timeRange )

## ◆ setTrajectoryConstraint()

void pyhpp::manipulation::steeringMethod::Cartesian::setTrajectoryConstraint | ( | const ImplicitPtr_t & | ic | ) |

## Member Data Documentation

## ◆ obj

hpp::manipulation::steeringMethod::CartesianPtr_t pyhpp::manipulation::steeringMethod::Cartesian::obj

The documentation for this class was generated from the following files:

- include/pyhpp/manipulation/steering-method/cartesian.hh
- src/pyhpp/manipulation/steering_method/cartesian.cc